FishOutFishOut

List notification channels

GET/orgs/{organizationId}/notification-channels

List notification channels. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length

Query Parameters

projectId?string
Length1 <= length
limit?integer
Range1 <= value <= 100
Default50
cursor?string
Length1 <= length <= 2048

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orgs/string/notification-channels"
{  "data": [    {      "id": "string",      "organizationId": "string",      "projectId": "string",      "name": "string",      "provider": "string",      "destination": "string",      "events": [        "string"      ],      "minRelevance": 0,      "minScore": 0,      "enabled": true,      "signingSecretPreview": "string",      "simulated": true,      "property1": "string",      "property2": "string"    }  ],  "meta": {    "requestId": "string",    "replayed": true,    "nextCursor": "string"  }}